# Payment mode

## Retrieving a list of payment modes

> Retrieves a list of configured payment modes for a given tenant. <br>

```json
{"openapi":"3.0.0","info":{"title":"Payment-Gateway Service","version":"0.0.1"},"tags":[{"name":"Payment mode"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["payment-gateway.paymentmodes_read"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"payment-gateway.paymentmodes_read":"Needed for reading payment modes by a tenant employee.","payment-gateway.paymentmodes_manage":"Needed to manage payment modes by a tenant employee.","payment-gateway.authorize_manage":"Needed to perform a payment authorization flow by a tenant employee.","payment-gateway.capture_manage":"Needed to perform a payment capture flow by a tenant employee.","payment-gateway.refund_manage":"Needed to perform a payment refund flow by a tenant employee.","payment-gateway.cancel_manage":"Needed to perform a payment cancel flow by a tenant employee.","payment-gateway.paymenttransactions_read":"Needed to read all transaction details by a tenant employee."}}}}},"responses":{"getAllPaymentModes":{"description":"Get all payment modes configured in the payment-gateway service for a given tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentModesResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/paymentModeResponse"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/paymentModesResponse"}}}},"common_response_Unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"common_response_Forbidden_403":{"description":"Access forbidden. The caller is not allowed to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_InternalServerError_500":{"description":"Internal Server Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}}},"schemas":{"paymentModesResponse":{"title":"paymentModesResponse","type":"array","items":{"$ref":"#/components/schemas/paymentModeResponse"}},"paymentModeResponse":{"title":"paymentModeResponse","type":"object","properties":{"id":{"type":"string","description":"Indicates an autogenerated identifier of a given payment method."},"code":{"type":"string","description":"Indicates a code of a given method."},"active":{"type":"boolean","description":"Indicates whether a give mode is active."},"provider":{"allOf":[{"$ref":"#/components/schemas/provider"}],"description":"Indicates which provider should be used."},"configuration":{"type":"object","additionalProperties":{"type":"string"},"description":"Map of configuration values for a particular gateway. Supported and required values for Spreedly: \n* `Spreedly/GatewayToken` - Indicates Spreedly gateway.\n* `Spreedly/EnvironmentKey` - Indicates Spreedly environment key.\n* `Spreedly/AccessSecret` - Indicates Spreedly access secret.\n* `Spreedly/PaymentMethodType` - Indicates payment method type, for example: paypal.\n* `Spreedly/RedirectURL` - Indicates a redirect URL where an end user should be redirected when a payment flow is finished. Usually it's a storefront URL.\n* `Spreedly/SignatureSecret` - Indicates a signature secret. The value is needed  for an offsite flow, when a confirmation callback is used."}}},"provider":{"type":"string","enum":["INVOICE","CASH_ON_DELIVERY","SPREEDLY","SPREEDLY_SAFERPAY","UNZER"]},"coreErrorMessage":{"anyOf":[{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Status code."},"timestamp":{"type":"string","description":"Indicates a timestamp when the error occurred."},"message":{"type":"string","description":"Error message."}}},{"type":"object","properties":{"type":{"type":"string","description":"HTTP error type."},"status":{"type":"integer","description":"HTTP Status code."},"message":{"type":"string","description":"Error message."},"moreInfo":{"type":"string","description":"URL which additional information."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"Detailed message."}}}}}}]}}},"paths":{"/payment-gateway/{tenant}/paymentmodes/config":{"get":{"summary":"Retrieving a list of payment modes","operationId":"GET-payment-gateway-list-payment-modes","responses":{"200":{"$ref":"#/components/responses/getAllPaymentModes"},"401":{"$ref":"#/components/responses/common_response_Unauthorized_401"},"403":{"$ref":"#/components/responses/common_response_Forbidden_403"},"500":{"$ref":"#/components/responses/common_response_InternalServerError_500"}},"tags":["Payment mode"],"description":"Retrieves a list of configured payment modes for a given tenant. \n"}}}}
```

## Creating a single payment mode entity

> Creates a new payment mode for a given tenant. Currently the service supports the following payment methods:\
> \
> \* Payment methods supported by Spreedly: <https://docs.spreedly.com/reference/supported-gateways/\\>
> \* Saferpay: <https://docs.saferpay.com/home/interfaces/payment-api\\>
> \* Unzer Invoice: <https://docs.unzer.com/payment-methods/unzer-invoice-upl/><br>

```json
{"openapi":"3.0.0","info":{"title":"Payment-Gateway Service","version":"0.0.1"},"tags":[{"name":"Payment mode"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["payment-gateway.paymentmodes_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"payment-gateway.paymentmodes_read":"Needed for reading payment modes by a tenant employee.","payment-gateway.paymentmodes_manage":"Needed to manage payment modes by a tenant employee.","payment-gateway.authorize_manage":"Needed to perform a payment authorization flow by a tenant employee.","payment-gateway.capture_manage":"Needed to perform a payment capture flow by a tenant employee.","payment-gateway.refund_manage":"Needed to perform a payment refund flow by a tenant employee.","payment-gateway.cancel_manage":"Needed to perform a payment cancel flow by a tenant employee.","payment-gateway.paymenttransactions_read":"Needed to read all transaction details by a tenant employee."}}}}},"responses":{"paymentModeResponse":{"description":"Payment mode configured in the payment-gateway service for a given tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentModeResponse"}}}},"common_response_BadRequest_400":{"description":"Bad request. The syntax of the request is incorrect.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_Unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"common_response_Forbidden_403":{"description":"Access forbidden. The caller is not allowed to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_Conflict_409":{"description":"Conflict. The resource already exists.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_InternalServerError_500":{"description":"Internal Server Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}}},"schemas":{"paymentModeResponse":{"title":"paymentModeResponse","type":"object","properties":{"id":{"type":"string","description":"Indicates an autogenerated identifier of a given payment method."},"code":{"type":"string","description":"Indicates a code of a given method."},"active":{"type":"boolean","description":"Indicates whether a give mode is active."},"provider":{"allOf":[{"$ref":"#/components/schemas/provider"}],"description":"Indicates which provider should be used."},"configuration":{"type":"object","additionalProperties":{"type":"string"},"description":"Map of configuration values for a particular gateway. Supported and required values for Spreedly: \n* `Spreedly/GatewayToken` - Indicates Spreedly gateway.\n* `Spreedly/EnvironmentKey` - Indicates Spreedly environment key.\n* `Spreedly/AccessSecret` - Indicates Spreedly access secret.\n* `Spreedly/PaymentMethodType` - Indicates payment method type, for example: paypal.\n* `Spreedly/RedirectURL` - Indicates a redirect URL where an end user should be redirected when a payment flow is finished. Usually it's a storefront URL.\n* `Spreedly/SignatureSecret` - Indicates a signature secret. The value is needed  for an offsite flow, when a confirmation callback is used."}}},"provider":{"type":"string","enum":["INVOICE","CASH_ON_DELIVERY","SPREEDLY","SPREEDLY_SAFERPAY","UNZER"]},"coreErrorMessage":{"anyOf":[{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Status code."},"timestamp":{"type":"string","description":"Indicates a timestamp when the error occurred."},"message":{"type":"string","description":"Error message."}}},{"type":"object","properties":{"type":{"type":"string","description":"HTTP error type."},"status":{"type":"integer","description":"HTTP Status code."},"message":{"type":"string","description":"Error message."},"moreInfo":{"type":"string","description":"URL which additional information."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"Detailed message."}}}}}}]},"paymentModeRequest":{"title":"paymentModeRequest","type":"object","required":["code","provider"],"properties":{"code":{"type":"string","description":"Indicates a code of a given method."},"active":{"type":"boolean","description":"Indicates whether a give mode is active."},"provider":{"allOf":[{"$ref":"#/components/schemas/provider"}],"description":"Indicates which provider should be used."},"configuration":{"type":"object","additionalProperties":{"type":"string"},"description":"Map of configuration values for a particular gateway. Supported and required values for Spreedly: \n* `Spreedly/GatewayToken` - Indicates Spreedly gateway. Valid for `SPREEDLY`, `SPREEDLY_SAFERPAY`.\n* `Spreedly/EnvironmentKey` - Indicates Spreedly environment key. Valid for `SPREEDLY`, `SPREEDLY_SAFERPAY`.\n* `Spreedly/AccessSecret` - Indicates Spreedly access secret. Valid for `SPREEDLY`, `SPREEDLY_SAFERPAY`.\n* `Spreedly/PaymentMethodType` - Indicates payment method type, for example: paypal. Valid for `SPREEDLY`.\n* `Spreedly/RedirectURL` - Indicates a redirect URL where an end user should be redirected when a payment flow is finished. Usually it's a storefront URL. Valid for `SPREEDLY`.\n* `Spreedly/SignatureSecret` - Indicates a signature secret. The value is needed  for an offsite flow, when a confirmation callback is used. Valid for `SPREEDLY`.\n* `Spreedly/SCAProviderToken` - Indicates the Spreedly SCA (Strong Customer Authentication) provider token (3DS credit cart). Valid for `SPREEDLY`.\n* `Spreedly/ReceiverId` - Indicates the Spreedly Receiver identifier. Valid for `SPREEDLY_SAFERPAY`.\n* `Saferpay/BasicAuth` - Base64 encoded username and password of Saferpay account. Valid for `SPREEDLY_SAFERPAY`.\n* `Saferpay/CustomerId` - Saferpay customer ID. Valid for `SPREEDLY_SAFERPAY`.\n* `Saferpay/TerminalId` - Saferpay terminal ID. Valid for `SPREEDLY_SAFERPAY`.\n* `Saferpay/TestEnvironment` - Indicates if the configuration is done for test environment or a production one. If `true` then `https://test.saferpay.com` is used as a destination. Otherwise `https://www.saferpay.com` is used. Valid for `SPREEDLY_SAFERPAY`.\n* `Saferpay/RedirectUrl` - Indicates a redirect URL where an end user should be redirected when a payment flow is finished. Usually it's a storefront URL. Valid for `SPREEDLY_SAFERPAY`.\n* `Unzer/PaymentMethodType` - Indicates a payment method type. Currently supported value is `PAYLATER_INVOICE`. Valid for `UNZER`.\n* `Unzer/PublicKey` - Indicates a Unzer public key. Valid for `UNZER`.\n* `Unzer/PrivateKey` - Indicates a Unzer private key. Valid for `UNZER`.\n* `Unzer/CustomerType` - Indicates a customer type. Currently supported value is `B2C`. Valid for `UNZER`.\n  requestBodies: { }"}}}}},"paths":{"/payment-gateway/{tenant}/paymentmodes/config":{"post":{"summary":"Creating a single payment mode entity","responses":{"200":{"$ref":"#/components/responses/paymentModeResponse"},"400":{"$ref":"#/components/responses/common_response_BadRequest_400"},"401":{"$ref":"#/components/responses/common_response_Unauthorized_401"},"403":{"$ref":"#/components/responses/common_response_Forbidden_403"},"409":{"$ref":"#/components/responses/common_response_Conflict_409"},"500":{"$ref":"#/components/responses/common_response_InternalServerError_500"}},"description":"Creates a new payment mode for a given tenant. Currently the service supports the following payment methods:\n\n* Payment methods supported by Spreedly: https://docs.spreedly.com/reference/supported-gateways/\n* Saferpay: https://docs.saferpay.com/home/interfaces/payment-api\n* Unzer Invoice: https://docs.unzer.com/payment-methods/unzer-invoice-upl/\n","operationId":"POST-payment-gateway-create-payment-mode","tags":["Payment mode"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentModeRequest"}}},"description":""}}}}}
```

## Retrieving a single payment mode

> Retrieves a single payment mode configuration for a given tenant based on a payment mode identifier. <br>

```json
{"openapi":"3.0.0","info":{"title":"Payment-Gateway Service","version":"0.0.1"},"tags":[{"name":"Payment mode"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["payment-gateway.paymentmodes_read"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"payment-gateway.paymentmodes_read":"Needed for reading payment modes by a tenant employee.","payment-gateway.paymentmodes_manage":"Needed to manage payment modes by a tenant employee.","payment-gateway.authorize_manage":"Needed to perform a payment authorization flow by a tenant employee.","payment-gateway.capture_manage":"Needed to perform a payment capture flow by a tenant employee.","payment-gateway.refund_manage":"Needed to perform a payment refund flow by a tenant employee.","payment-gateway.cancel_manage":"Needed to perform a payment cancel flow by a tenant employee.","payment-gateway.paymenttransactions_read":"Needed to read all transaction details by a tenant employee."}}}}},"responses":{"paymentModeResponse":{"description":"Payment mode configured in the payment-gateway service for a given tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentModeResponse"}}}},"common_response_Unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"common_response_Forbidden_403":{"description":"Access forbidden. The caller is not allowed to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_NotFound_404":{"description":"Not found. The resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_InternalServerError_500":{"description":"Internal Server Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}}},"schemas":{"paymentModeResponse":{"title":"paymentModeResponse","type":"object","properties":{"id":{"type":"string","description":"Indicates an autogenerated identifier of a given payment method."},"code":{"type":"string","description":"Indicates a code of a given method."},"active":{"type":"boolean","description":"Indicates whether a give mode is active."},"provider":{"allOf":[{"$ref":"#/components/schemas/provider"}],"description":"Indicates which provider should be used."},"configuration":{"type":"object","additionalProperties":{"type":"string"},"description":"Map of configuration values for a particular gateway. Supported and required values for Spreedly: \n* `Spreedly/GatewayToken` - Indicates Spreedly gateway.\n* `Spreedly/EnvironmentKey` - Indicates Spreedly environment key.\n* `Spreedly/AccessSecret` - Indicates Spreedly access secret.\n* `Spreedly/PaymentMethodType` - Indicates payment method type, for example: paypal.\n* `Spreedly/RedirectURL` - Indicates a redirect URL where an end user should be redirected when a payment flow is finished. Usually it's a storefront URL.\n* `Spreedly/SignatureSecret` - Indicates a signature secret. The value is needed  for an offsite flow, when a confirmation callback is used."}}},"provider":{"type":"string","enum":["INVOICE","CASH_ON_DELIVERY","SPREEDLY","SPREEDLY_SAFERPAY","UNZER"]},"coreErrorMessage":{"anyOf":[{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Status code."},"timestamp":{"type":"string","description":"Indicates a timestamp when the error occurred."},"message":{"type":"string","description":"Error message."}}},{"type":"object","properties":{"type":{"type":"string","description":"HTTP error type."},"status":{"type":"integer","description":"HTTP Status code."},"message":{"type":"string","description":"Error message."},"moreInfo":{"type":"string","description":"URL which additional information."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"Detailed message."}}}}}}]}}},"paths":{"/payment-gateway/{tenant}/paymentmodes/config/{id}":{"get":{"summary":"Retrieving a single payment mode","tags":["Payment mode"],"responses":{"200":{"$ref":"#/components/responses/paymentModeResponse"},"401":{"$ref":"#/components/responses/common_response_Unauthorized_401"},"403":{"$ref":"#/components/responses/common_response_Forbidden_403"},"404":{"$ref":"#/components/responses/common_response_NotFound_404"},"500":{"$ref":"#/components/responses/common_response_InternalServerError_500"}},"operationId":"GET-payment-gateway-retrieve-payment-mode","description":"Retrieves a single payment mode configuration for a given tenant based on a payment mode identifier. \n"}}}}
```

## Updating a single payment mode

> Updates a single payment mode for a given tenant based on a unique mode identifier. <br>

```json
{"openapi":"3.0.0","info":{"title":"Payment-Gateway Service","version":"0.0.1"},"tags":[{"name":"Payment mode"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["payment-gateway.paymentmodes_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"payment-gateway.paymentmodes_read":"Needed for reading payment modes by a tenant employee.","payment-gateway.paymentmodes_manage":"Needed to manage payment modes by a tenant employee.","payment-gateway.authorize_manage":"Needed to perform a payment authorization flow by a tenant employee.","payment-gateway.capture_manage":"Needed to perform a payment capture flow by a tenant employee.","payment-gateway.refund_manage":"Needed to perform a payment refund flow by a tenant employee.","payment-gateway.cancel_manage":"Needed to perform a payment cancel flow by a tenant employee.","payment-gateway.paymenttransactions_read":"Needed to read all transaction details by a tenant employee."}}}}},"responses":{"paymentModeResponse":{"description":"Payment mode configured in the payment-gateway service for a given tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentModeResponse"}}}},"common_response_BadRequest_400":{"description":"Bad request. The syntax of the request is incorrect.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_Unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"common_response_Forbidden_403":{"description":"Access forbidden. The caller is not allowed to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_NotFound_404":{"description":"Not found. The resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_InternalServerError_500":{"description":"Internal Server Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}}},"schemas":{"paymentModeResponse":{"title":"paymentModeResponse","type":"object","properties":{"id":{"type":"string","description":"Indicates an autogenerated identifier of a given payment method."},"code":{"type":"string","description":"Indicates a code of a given method."},"active":{"type":"boolean","description":"Indicates whether a give mode is active."},"provider":{"allOf":[{"$ref":"#/components/schemas/provider"}],"description":"Indicates which provider should be used."},"configuration":{"type":"object","additionalProperties":{"type":"string"},"description":"Map of configuration values for a particular gateway. Supported and required values for Spreedly: \n* `Spreedly/GatewayToken` - Indicates Spreedly gateway.\n* `Spreedly/EnvironmentKey` - Indicates Spreedly environment key.\n* `Spreedly/AccessSecret` - Indicates Spreedly access secret.\n* `Spreedly/PaymentMethodType` - Indicates payment method type, for example: paypal.\n* `Spreedly/RedirectURL` - Indicates a redirect URL where an end user should be redirected when a payment flow is finished. Usually it's a storefront URL.\n* `Spreedly/SignatureSecret` - Indicates a signature secret. The value is needed  for an offsite flow, when a confirmation callback is used."}}},"provider":{"type":"string","enum":["INVOICE","CASH_ON_DELIVERY","SPREEDLY","SPREEDLY_SAFERPAY","UNZER"]},"coreErrorMessage":{"anyOf":[{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Status code."},"timestamp":{"type":"string","description":"Indicates a timestamp when the error occurred."},"message":{"type":"string","description":"Error message."}}},{"type":"object","properties":{"type":{"type":"string","description":"HTTP error type."},"status":{"type":"integer","description":"HTTP Status code."},"message":{"type":"string","description":"Error message."},"moreInfo":{"type":"string","description":"URL which additional information."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"Detailed message."}}}}}}]},"paymentMethodUpdateRequest":{"title":"paymentMethodUpdateRequest","type":"object","properties":{"active":{"type":"boolean","description":"Indicates whether a give mode is active."},"configuration":{"type":"object","additionalProperties":{"type":"string"},"description":"Map of configuration values for a particular gateway. Supported and required values for Spreedly: \n* `Spreedly/GatewayToken` - Indicates Spreedly gateway. \n* `Spreedly/EnvironmentKey` - Indicates Spreedly environment key.\n* `Spreedly/AccessSecret` - Indicates Spreedly access secret.\n* `Spreedly/PaymentMethodType` - Indicates payment method type, for example: paypal.\n* `Spreedly/RedirectURL` - Indicates a redirect URL where an end user should be redirected when a payment flow is finished. Usually it's a storefront URL.\n* `Spreedly/SignatureSecret` - Indicates a signature secret. The value is needed  for an offsite flow, when a confirmation callback is used.\n* `Spreedly/SCAProviderToken` - Indicates the Spreedly SCA (Strong Customer Authentication) provider token (3DS credit cart).\n  requestBodies: { }"}}}}},"paths":{"/payment-gateway/{tenant}/paymentmodes/config/{id}":{"put":{"summary":"Updating a single payment mode","operationId":"PUT-payment-gateway-update-payment-mode","responses":{"200":{"$ref":"#/components/responses/paymentModeResponse"},"400":{"$ref":"#/components/responses/common_response_BadRequest_400"},"401":{"$ref":"#/components/responses/common_response_Unauthorized_401"},"403":{"$ref":"#/components/responses/common_response_Forbidden_403"},"404":{"$ref":"#/components/responses/common_response_NotFound_404"},"500":{"$ref":"#/components/responses/common_response_InternalServerError_500"}},"description":"Updates a single payment mode for a given tenant based on a unique mode identifier. \n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/paymentMethodUpdateRequest"}}}},"tags":["Payment mode"]}}}}
```

## Deleting a single payment mode

> Deletes a single payment mode for a given tenant based on a unique mode identifier. <br>

```json
{"openapi":"3.0.0","info":{"title":"Payment-Gateway Service","version":"0.0.1"},"tags":[{"name":"Payment mode"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["payment-gateway.paymentmodes_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"payment-gateway.paymentmodes_read":"Needed for reading payment modes by a tenant employee.","payment-gateway.paymentmodes_manage":"Needed to manage payment modes by a tenant employee.","payment-gateway.authorize_manage":"Needed to perform a payment authorization flow by a tenant employee.","payment-gateway.capture_manage":"Needed to perform a payment capture flow by a tenant employee.","payment-gateway.refund_manage":"Needed to perform a payment refund flow by a tenant employee.","payment-gateway.cancel_manage":"Needed to perform a payment cancel flow by a tenant employee.","payment-gateway.paymenttransactions_read":"Needed to read all transaction details by a tenant employee."}}}}},"responses":{"common_response_BadRequest_400":{"description":"Bad request. The syntax of the request is incorrect.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_Unauthorized_401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"common_response_Forbidden_403":{"description":"Access forbidden. The caller is not allowed to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_NotFound_404":{"description":"Not found. The resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}},"common_response_InternalServerError_500":{"description":"Internal Server Error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/coreErrorMessage"}}}}},"schemas":{"coreErrorMessage":{"anyOf":[{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Status code."},"timestamp":{"type":"string","description":"Indicates a timestamp when the error occurred."},"message":{"type":"string","description":"Error message."}}},{"type":"object","properties":{"type":{"type":"string","description":"HTTP error type."},"status":{"type":"integer","description":"HTTP Status code."},"message":{"type":"string","description":"Error message."},"moreInfo":{"type":"string","description":"URL which additional information."},"details":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","description":"Detailed message."}}}}}}]}}},"paths":{"/payment-gateway/{tenant}/paymentmodes/config/{id}":{"delete":{"summary":"Deleting a single payment mode","operationId":"DELETE-payment-gateway-remove-payment-mode","responses":{"200":{"description":"OK"},"400":{"$ref":"#/components/responses/common_response_BadRequest_400"},"401":{"$ref":"#/components/responses/common_response_Unauthorized_401"},"403":{"$ref":"#/components/responses/common_response_Forbidden_403"},"404":{"$ref":"#/components/responses/common_response_NotFound_404"},"500":{"$ref":"#/components/responses/common_response_InternalServerError_500"}},"description":"Deletes a single payment mode for a given tenant based on a unique mode identifier. \n","tags":["Payment mode"]}}}}
```
